Bug 2122090 - Syncable exports not properly validated
Summary: Syncable exports not properly validated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.11.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.12.0
Assignee: Partha Aji
QA Contact: Radek Mynar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-29 05:06 UTC by Partha Aji
Modified: 2022-11-16 13:35 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-4.5.0.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-16 13:35:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 35442 0 Normal New Syncable exports not properly validated 2022-08-29 05:08:42 UTC
Red Hat Issue Tracker SAT-12560 0 None None None 2022-08-29 13:21:25 UTC
Red Hat Product Errata RHSA-2022:8506 0 None None None 2022-11-16 13:35:43 UTC

Description Partha Aji 2022-08-29 05:06:04 UTC
Description of problem:
Syncable exports are only available for yum and file repos. However the code tries to syncably export ansible repos also.

Version-Release number of selected component (if applicable):
6.11.2

How reproducible:
always

Steps to Reproduce:
1. Create and sync an ansible repo
2. Export the ansible repo syncably via the following command `hammer content-export complete repository --id=<ansible id> --format=syncable`

Actual results:
Misleading error along "This repo is not marked immediate and hence cant be exported"


Expected results:
Cannot Sync Ansible. Only yum or file is available


Additional info:
On a library export or a content view with a yum, file, ansible repositories the syncable export complains the same and ignores files and ansible.
We'd like it to ignore ansible with a better message but export file and yum.

Comment 1 Partha Aji 2022-08-29 05:08:41 UTC
Connecting redmine issue https://projects.theforeman.org/issues/35442 from this bug

Comment 2 Bryan Kearney 2022-08-29 08:05:31 UTC
Upstream bug assigned to paji

Comment 3 Bryan Kearney 2022-08-29 08:05:33 UTC
Upstream bug assigned to paji

Comment 4 Bryan Kearney 2022-09-03 00:04:58 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35442 has been resolved.

Comment 6 Chris Roberts 2022-10-10 17:47:26 UTC
VERFIED,

ACK works great

```bash
[root@centos8-stream-katello-nightly ~]# hammer content-export complete repository --id=4 --format=syncable
Could not export the repository:
  500 Internal Server Error
2022-09-01T15:00:57 [E|app|c4392060] RuntimeError: NOTE: Unable to export repository 'Ansible' because it does not have an exportable content type.
```

```bash
[root@centos8-stream-katello-nightly ~]# hammer content-export complete library --organization-id=1 --format=syncable
[...............................................................................................................................................................] [100%]
Generated /var/lib/pulp/exports/Default_Organization/Export-Library-SYNCABLE/1.0/2022-09-01T15-02-48-00-00
```

Comment 10 errata-xmlrpc 2022-11-16 13:35:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.12 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:8506


Note You need to log in before you can comment on or make changes to this bug.